Debian Bug report logs - #425314
ksmserver: $HOME still in use after session has been closed

version graph

Package: kdelibs4c2a; Maintainer for kdelibs4c2a is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Christian Kastner <techmail@kvr.at>

Date: Sun, 20 May 2007 21:12:01 UTC

Severity: normal

Tags: fixed-upstream

Fixed in version kdelibs/4:3.5.7.dfsg.1-2

Done: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.kde.org/show_bug.cgi?id=146426

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#425314; Package ksmserver. Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <techmail@kvr.at>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Kastner <techmail@kvr.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ksmserver: $HOME still in use after session has been closed
Date: Sun, 20 May 2007 23:10:48 +0200
Package: ksmserver
Version: 4:3.5.5a.dfsg.1-6
Severity: normal

Hello,

I've been desperately trying to resolve a session-related issue with my
dm-crypt-backed $HOME directory.

I use libpam-mount to set up and mount the encrypted device on $HOME
when I log in and umount/remove it when I log out.

umount always fails because kdeinit-launched processes keep $HOME and
$HOME/.xsession-errors open *after* the session has been closed.
libpam-mount cannot umount/remove the device when it is in use.


What I could gather so far:
*) The session is supposedly closed (auth.log claims so; it also
triggers libpam-mount)
*) The processes are started after I logout (determined through acct)
*) The error regarding .xsession-errors can be avoided by changing its
location (I did that in /etc/X11/Xsession:78).
*) Only $HOME is affected, other libpam-mounted devices are umounted
cleanly


Is there any way I can trace what kdm is doing after I log out - eg,
which processes are launched through kdeinit? I can supply logfiles if
needed.

Regards,
Chris

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.21
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages ksmserver depends on:
ii  kdelibs4c2a            4:3.5.5a.dfsg.1-8 core libraries and binaries for al
ii  kwin [x-window-manager 4:3.5.5a.dfsg.1-6 the KDE window manager
ii  libart-2.0-2           2.3.17-1          Library of functions for 2D graphi
ii  libaudio2              1.8-4             The Network Audio System (NAS). (s
ii  libc6                  2.3.6.ds1-13      GNU C Library: Shared libraries
ii  libfontconfig1         2.4.2-1.2         generic font configuration library
ii  libfreetype6           2.2.1-5           FreeType 2 font engine, shared lib
ii  libgcc1                1:4.1.1-21        GCC support library
ii  libice6                1:1.0.1-2         X11 Inter-Client Exchange library
ii  libidn11               0.6.5-1           GNU libidn library, implementation
ii  libjpeg62              6b-13             The Independent JPEG Group's JPEG
ii  libpng12-0             1.2.15~beta5-1    PNG library - runtime
ii  libqt3-mt              3:3.3.7-4         Qt GUI Library (Threaded runtime v
ii  libsm6                 1:1.0.1-3         X11 Session Management library
ii  libstdc++6             4.1.1-21          The GNU Standard C++ Library v3
ii  libx11-6               2:1.0.3-7         X11 client-side library
ii  libxau6                1:1.0.1-2         X11 authorisation library
ii  libxcursor1            1.1.7-4           X cursor management library
ii  libxext6               1:1.0.1-2         X11 miscellaneous extension librar
ii  libxft2                2.1.8.2-8         FreeType-based font drawing librar
ii  libxi6                 1:1.0.1-4         X11 Input extension library
ii  libxinerama1           1:1.0.1-4.1       X11 Xinerama extension library
ii  libxrandr2             2:1.1.0.2-5       X11 RandR extension library
ii  libxrender1            1:0.9.1-3         X Rendering Extension client libra
ii  libxt6                 1:1.0.2-2         X11 toolkit intrinsics library
ii  zlib1g                 1:1.2.3-13        compression library - runtime

Versions of packages ksmserver recommends:
ii  kpersonalizer          4:3.5.5a.dfsg.1-6 installation personalizer for KDE

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#425314; Package ksmserver. Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <techmail@kvr.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 425314@bugs.debian.org (full text, mbox):

From: Christian Kastner <techmail@kvr.at>
To: 425314@bugs.debian.org
Subject: Re: $HOME still in use after session has been closed - Steps to reproduce
Date: Sun, 27 May 2007 03:50:41 +0200
I installed etch on a spare partition of another computer, and I have
the problem there as well. Below you will find the steps to reproduce
the problem.

1) Install Debian etch. Select only "Standard" in the tasksel dialog.

2) After reboot, install the following packages / meta-packages:
    * xserver-xorg
    * kde
    * cryptsetup
    * libpam-mount

3) As root, create a dm-crypt device with cryptsetup (the password
   should be identical to the login password):

root@sandbox # cryptsetup -c aes-cbc-essiv:sha256 -h sha512 foohome /dev/hda8
-> /dev/mapper/foohome created

4) Create a filesystem on it (I chose JFS)

5) Mount the filesystem somewhere, and move the contents of a
   user's home directory to it.

6) Add an appropriate entry to /etc/security/pam_mount.conf.
   This example here corresponds to the cryptetup params above:

# volume <user> <type> <server> <volume> <mount point> <mount options> <fs key cipher> <fs key path>
volume foobar crypt - /dev/hda8 /home/foobar fsck,noexec,nosuid,nodev,fstype=jfs,cipher=aes-cbc-essiv:sha256,hash512 - -

7) Finally, added the following line to the end of /etc/pam.d/kdm:
@include common-pammount


If you now login and logout again, umount and removal of the
encrypted device will fail. Enabling debug mode in
/etc/security/pam_mount.conf will show three kdeinit
processes keeping $HOME and $HOME/.xsession-errors open.

Regards,
Christian


-- 
Christian Kastner
PGP Key: AE90E13F



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#425314; Package ksmserver. Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <debian@pusling.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 425314@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: 425314-submitter@bugs.debian.org, 425314@bugs.debian.org
Subject: Re: Bug#425314: $HOME still in use after session has been closed - Steps to reproduce
Date: Sun, 27 May 2007 11:16:21 +0200
[Message part 1 (text/plain, inline)]
On Sunday 27 May 2007, Christian Kastner wrote:
> I installed etch on a spare partition of another computer, and I have
> the problem there as well. Below you will find the steps to reproduce
> the problem.

> If you now login and logout again, umount and removal of the
> encrypted device will fail. Enabling debug mode in
> /etc/security/pam_mount.conf will show three kdeinit
> processes keeping $HOME and $HOME/.xsession-errors open.

First step is to figure out which kdeinit processes that still think they are 
running - and then keeping $HOME open.

If you could modify the startkde script (take a backup copy first)
and just before the final "echo 'startkde: done'" line, add some lines to 
generate some output. You need lsof (from the lsof package).

lsof > /tmp/openfiles  #this is unsecure if it is a multiuser box
ps x > /tmp/processes  #this is also unsecure if it is a multi user box

that way, we can see what processes exactly that keeps it open.

if you could try it a couple of times to make sure it is the same processes, 
it would be really nice.

/Sune
-- 
Genius, I'm not able to telnet to a proxy from Windows or from the file inside 
Word NT, how does it work?

You must ping to a clock over a graphic mouse.
[signature.asc (application/pgp-signature, inline)]

Message sent on to Christian Kastner <techmail@kvr.at>:
Bug#425314. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#425314; Package ksmserver. Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <techmail@kvr.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 425314@bugs.debian.org (full text, mbox):

From: Christian Kastner <techmail@kvr.at>
To: Sune Vuorela <debian@pusling.com>, 425314-quiet@bugs.debian.org, 425314@bugs.debian.org
Subject: Re: Bug#425314: $HOME still in use after session has been closed - Steps to reproduce
Date: Sun, 27 May 2007 23:18:14 +0200
Sune Vuorela wrote:
>> If you now login and logout again, umount and removal of the
>> encrypted device will fail. Enabling debug mode in
>> /etc/security/pam_mount.conf will show three kdeinit
>> processes keeping $HOME and $HOME/.xsession-errors open.
> 
> First step is to figure out which kdeinit processes that still think they are 
> running - and then keeping $HOME open.
> 
> If you could modify the startkde script (take a backup copy first)
> and just before the final "echo 'startkde: done'" line, add some lines to 
> generate some output. You need lsof (from the lsof package).
> 
> lsof > /tmp/openfiles  #this is unsecure if it is a multiuser box
> ps x > /tmp/processes  #this is also unsecure if it is a multi user box
>
> that way, we can see what processes exactly that keeps it open.

I followed your guidelines, here is what I got:

"ps x" output:
---------------
  PID TTY      STAT   TIME COMMAND
 3352 ?        Rs     0:00 /bin/sh /usr/bin/x-session-manager
 3392 ?        Ss     0:00 /usr/bin/ssh-agent /usr/bin/dbus-launch --exit-with-session x-session-manager
 3395 ?        S      0:00 /usr/bin/dbus-launch --exit-with-session x-session-manager
 3396 ?        Ss     0:00 /usr/bin/dbus-daemon --fork --print-pid 4 --print-address 6 --session
 3473 ?        S      0:00 kdeinit Running...
 3489 ?        R      0:00 ps x

The output for different runs returned the same commands, on some occasions
dbus-launch and dbus-daemon were swapped in order.


"lsof" output (filtered for $HOME):
-------------

x-session 3352      foobar  cwd       DIR      254,0    4096         2 /home/foobar
x-session 3352      foobar    1w      REG      254,0     966        12 /home/foobar/.xsession-errors
x-session 3352      foobar    2w      REG      254,0     966        12 /home/foobar/.xsession-errors
kdeinit   3473      foobar  cwd       DIR      254,0    4096         2 /home/foobar
kdeinit   3473      foobar    1w      REG      254,0     966        12 /home/foobar/.xsession-errors
kdeinit   3473      foobar    2w      REG      254,0     966        12 /home/foobar/.xsession-errors
lsof      3487      foobar  cwd       DIR      254,0    4096         2 /home/foobar
lsof      3487      foobar    2w      REG      254,0     966        12 /home/foobar/.xsession-errors
lsof      3488      foobar  cwd       DIR      254,0    4096         2 /home/foobar

The output was identical for all runs.


I'm still trying to grasp what is going on in the background of an X
session (quite interesting actually!), but one question keeps
coming up: Shouldn't the PAM session (which triggers libpam-mount to
umount) only be closed after the X session has been closed, ie after
the above processes have exited?

Regards,
Christian

-- 
Christian Kastner
PGP Key: AE90E13F



Information stored:
Bug#425314; Package ksmserver. Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <techmail@kvr.at>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#425314; Package ksmserver. Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@linux01.gwdg.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 425314@bugs.debian.org (full text, mbox):

From: Jan Engelhardt <jengelh@linux01.gwdg.de>
To: 425314@bugs.debian.org
Subject: Re: Bug#425314: $HOME still in use after session has been closed - Steps to reproduce
Date: Mon, 28 May 2007 14:09:20 +0200 (MEST)
Following might be helpful
	`strace -fe execve startkde` (or startx, or in .xinitrc) and
	`fuser -m /my/home/dir`

>Shouldn't the PAM session (which triggers libpam-mount to
>umount) only be closed after the X session has been closed, ie after
>the above processes have exited?

The problem I see is that all the kde processes wrongly detach from the X
structure (setsid / reparent to init / etc.).  _Ideally_, `ps afx` should
show all the WM fluff _under_ kdm/gdm/etc, like this:

 3798 ?        Ss     0:00 /opt/kde3/bin/kdm
 3905 tty7     SLs+   1:00  \_ /usr/bin/X -br -dpi 96 -nolisten tcp :0 vt7 -auth
 3920 ?        S      0:00  \_ -:0              
 4197 ?        Ss     0:00      \_ /usr/bin/icewm-session
 4247 ?        Ss     0:00          \_ /usr/bin/ssh-agent /bin/bash /etc/X11/xin
 4248 ?        SNs    0:00          \_ icewmbg
 4249 ?        Ss     0:12          \_ icewm
 4251 ?        Ss     0:03          |   \_ xterm -ls -fg gray -bg #001020 -geome
 4253 pts/0    Ss     0:00          |   |   \_ -bash
 4375 pts/0    S+     0:01          |   |       \_ ssh linux01
 4376 ?        Ssl    0:00          |   \_ xmms
 4378 ?        Ss     0:10          |   \_ gaim
 4411 ?        Ss     0:00          |   \_ xterm -ls -fg gray -bg #001020 -geome
 4413 pts/1    Ss     0:00          |   |   \_ -bash
 6550 pts/1    R+     0:00          |   |       \_ ps xaf
 4712 ?        Ss     0:00          |   \_ /bin/sh /usr/bin/firefox
 4717 ?        Sl     0:33          |   |   \_ /usr/lib/firefox/firefox-bin
 4739 ?        Ss     0:05          |   \_ xterm -ls -fg gray -bg #001020 -geome
 4741 pts/2    Ss     0:00          |       \_ -bash
 6447 pts/2    S+     0:00          |           \_ joe geodesic.c
 4250 ?        Ss     0:00          \_ icewmtray

As far as icewm is concerned, all programs die when icewm-session
terminates, the ~/.xsession-errors is closed (only open by icewm-session),
and -:0 (kdm) gets control back, and can unwind the PAM stack.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#425314; Package ksmserver. Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <techmail@kvr.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 425314@bugs.debian.org (full text, mbox):

From: Christian Kastner <techmail@kvr.at>
To: 425314@bugs.debian.org, Jan Engelhardt <jengelh@linux01.gwdg.de>
Subject: Re: Bug#425314: Cause identified + workaround ($HOME in use after session closed)
Date: Mon, 28 May 2007 19:24:50 +0200
>>Shouldn't the PAM session (which triggers libpam-mount to
>>umount) only be closed after the X session has been closed, ie after
>>the above processes have exited?

>The problem I see is that all the kde processes wrongly detach from the X
>structure (setsid / reparent to init / etc.).  _Ideally_, `ps afx` should
>show all the WM fluff _under_ kdm/gdm/etc

That info really helped me!

startkde (to which /usr/bin/x-session-manager is symlinked) runs kdeinit,
which is then - as you said - reparented to init.  startkde then runs
ksmserver and passes session management to it.

After ksmserver has terminated, the startkde script continues with some
cleanup actions, among which there is a call to 'kdeinit_shutdown'.
However, it does not wait for a confirmation, it just proceeds with further
cleanup routines and then terminates.

Adding a simple 'sleep 2' after the call to kdeinit_shutdown fixed the
problem for me, libpam-umount cleanly unmounts my $HOME.

I can live with the workaround, however it would be really nice if the
maintainers could find an alternative solution for the problem.


Thanks for helping me resolve the issue!
Christian

-- 
Christian Kastner
PGP Key: AE90E13F



Noted your statement that Bug has been forwarded to http://bugs.kde.org/show_bug.cgi?id=146426. Request was from Sune Vuorela <debian@pusling.com> to control@bugs.debian.org. (Tue, 05 Jun 2007 20:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#425314; Package ksmserver. Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <debian@pusling.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 425314@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: 425314@bugs.debian.org
Subject: fixed
Date: Tue, 5 Jun 2007 23:50:47 +0200
[Message part 1 (text/plain, inline)]
fixed in trunk and in branch.

In branch it is commit  671953

/Sune
-- 
I cannot save the GPU, how does it work?

From AutoCAD 8.2 you neither can ever insert a mail, nor can ever mount a 
parallel FPU but you must download the CD program of the TCP GPU to a 
firewall to open a jumper.
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 07 Jun 2007 20:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#425314; Package ksmserver. Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <debian@pusling.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 425314@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: 425314@bugs.debian.org, control@bugs.debian.org
Subject: ksmserver: $HOME still in use after session has been closed
Date: Sat, 7 Jul 2007 21:14:41 +0200
reassign 425314 kdelibs4c2a
thanks

Hi!

This bug (and the fix) is in kdelibs. Reassigning.

/Sune



Bug reassigned from package `ksmserver' to `kdelibs4c2a'. Request was from Sune Vuorela <debian@pusling.com> to control@bugs.debian.org. (Sat, 07 Jul 2007 19:15:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Sune Vuorela <debian@pusling.com> to control@bugs.debian.org. (Thu, 19 Jul 2007 21:15:04 GMT) Full text and rfc822 format available.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Kastner <techmail@kvr.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #61 received at 425314-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 425314-close@bugs.debian.org
Subject: Bug#425314: fixed in kdelibs 4:3.5.7.dfsg.1-2
Date: Fri, 20 Jul 2007 15:03:12 +0000
Source: kdelibs
Source-Version: 4:3.5.7.dfsg.1-2

We believe that the bug you reported is fixed in the latest version of
kdelibs, which is due to be installed in the Debian FTP archive:

kdelibs-data_3.5.7.dfsg.1-2_all.deb
  to pool/main/k/kdelibs/kdelibs-data_3.5.7.dfsg.1-2_all.deb
kdelibs-dbg_3.5.7.dfsg.1-2_i386.deb
  to pool/main/k/kdelibs/kdelibs-dbg_3.5.7.dfsg.1-2_i386.deb
kdelibs4-dev_3.5.7.dfsg.1-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4-dev_3.5.7.dfsg.1-2_i386.deb
kdelibs4-doc_3.5.7.dfsg.1-2_all.deb
  to pool/main/k/kdelibs/kdelibs4-doc_3.5.7.dfsg.1-2_all.deb
kdelibs4c2a_3.5.7.dfsg.1-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4c2a_3.5.7.dfsg.1-2_i386.deb
kdelibs_3.5.7.dfsg.1-2.diff.gz
  to pool/main/k/kdelibs/kdelibs_3.5.7.dfsg.1-2.diff.gz
kdelibs_3.5.7.dfsg.1-2.dsc
  to pool/main/k/kdelibs/kdelibs_3.5.7.dfsg.1-2.dsc
kdelibs_3.5.7.dfsg.1-2_all.deb
  to pool/main/k/kdelibs/kdelibs_3.5.7.dfsg.1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 425314@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kdelibs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 19 Jul 2007 22:52:17 +0200
Source: kdelibs
Binary: kdelibs4c2a kdelibs kdelibs4-doc kdelibs-dbg kdelibs-data kdelibs4-dev
Architecture: source i386 all
Version: 4:3.5.7.dfsg.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Description: 
 kdelibs    - core libraries from the official KDE release
 kdelibs-data - core shared data for all KDE applications
 kdelibs-dbg - debugging symbols for kdelibs
 kdelibs4-dev - development files for the KDE core libraries
 kdelibs4-doc - developer documentation for the KDE core libraries
 kdelibs4c2a - core libraries and binaries for all KDE applications
Closes: 254948 334974 408470 425314 431920
Changes: 
 kdelibs (4:3.5.7.dfsg.1-2) unstable; urgency=low
 .
   +++ Changes by Sune Vuorela:
 .
   * Reorder stuff in kde-applications.menu to get changing menu entries
     working. (Closes: #254948)
   * Add patch to fix issue with saving after redo in kate. (Closes: #431920)
   * Better error messages when opening a tty fails. Thanks to Robert Millan.
     (Closes: #334974)
   * Don't refer to help:/kcmshell in kcmshell manpage. (Closes: #408470)
   * Make sure kdeinit closes all files before terminating kde. (Closes: #425314)
Files: 
 ea23f71612500ed6792b4652376e2eb4 1663 libs optional kdelibs_3.5.7.dfsg.1-2.dsc
 3d28f23e9a5abbc59597c5d38c412aeb 791914 libs optional kdelibs_3.5.7.dfsg.1-2.diff.gz
 6079a35f9a08f9b36bb2fd414f71575e 34754 libs optional kdelibs_3.5.7.dfsg.1-2_all.deb
 b02eec5bbcbf685968a2ad72f715cdfd 8686354 libs optional kdelibs-data_3.5.7.dfsg.1-2_all.deb
 5a249b7ecdde92657398b3808da03cf9 36884044 doc optional kdelibs4-doc_3.5.7.dfsg.1-2_all.deb
 5697649a00321776bfbff0f3b59d8815 9955220 libs optional kdelibs4c2a_3.5.7.dfsg.1-2_i386.deb
 7ebff4a6ace18dd3d80a5a87d1829aca 1381406 libdevel optional kdelibs4-dev_3.5.7.dfsg.1-2_i386.deb
 e9b56161b1c2cd050ba6f4d2981df952 26223042 libdevel extra kdelibs-dbg_3.5.7.dfsg.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFGoLuqn3j4POjENGERAqM8AJ4wLvq89ZX3ffw6h5bN6geot6XPfgCfaGgl
cdJBIbKGa7oI8pxCkXu486I=
=Im3B
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Aug 2007 07:26:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:42:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.